Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.peer.core.scheduler
Class SimulatedSchedulerController

    java.lang.Object
      lbg.peer.core.scheduler.SchedulerController
          lbg.peer.core.scheduler.SimulatedSchedulerController

    public class SimulatedSchedulerController

extends SchedulerController

Author:
  Cyril Briquet

Constructor Summary
`SimulatedSchedulerController(Peer managed_peer, EnvironmentController env_ctrlr, java.lang.String PEER_BASE_NAME)`

Method Summary
`void` | `awakeScheduler()`
`java.lang.String` | `toString()`

Methods inherited from class lbg.peer.core.scheduler.SchedulerController
`activateAllScheduling, activateConsumptionScheduling, activateLocalAndConsumptionScheduling, activateLocalAndSupplyingScheduling, activateLocalScheduling, activateSupplyingScheduling, couldSchedule, getAndResetControlFlags`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SimulatedSchedulerController

    public SimulatedSchedulerController(Peer managed_peer,
                                        EnvironmentController env_ctrlr,
                                        java.lang.String PEER_BASE_NAME)
                                 throws GridException

Throws:
  `GridException`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SchedulerController`

### awakeScheduler

    public void awakeScheduler()
                        throws GridException

  Specified by:
    `awakeScheduler` in class `SchedulerController`
  Throws:
    `GridException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.